#pragma once

#include <array>
#include <span>
#include "volume_definition.h"

namespace part_5_defs
{
    using namespace std::string_view_literals;

    constexpr std::array vol_1 = std::to_array<volume_definition>({
{ volume::P5V1, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P5V1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P5V1, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P5V1, "Images/Poll2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Poll1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V1, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P5V1, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P5V1, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P5V1, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P5V1, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The Children of the Former Veronica Faction"sv, true },
{ volume::P5V1, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "The Fellowship Gatherings (Third Year)"sv, true },
{ volume::P5V1, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Passing Classes"sv, true },
{ volume::P5V1, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter3_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "The New Librarian"sv, true },
{ volume::P5V1, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::P5V1, "Text/chapter23.xhtml"sv, "application/xhtml+xml"sv, "Finding Purpose and the Guardians of Knowledge"sv, true },

{ volume::P5V1, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Practical: Divine Protections of the Gods"sv, true },
{ volume::P5V1, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Music and Everyone’s Rituals"sv, true },
{ volume::P5V1, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Discussing Divine Protections with Hirschur"sv, true },
{ volume::P5V1, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Beginning the Archduke Candidate Course"sv, true },
{ volume::P5V1, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Dedication Whirling (Third Year)"sv, true },
{ volume::SSUP1, "styles/style001.css"sv, "text/css"sv, std::nullopt, false },
{ volume::SSUP1, "text/content0001.xhtml"sv, "application/xhtml+xml"sv, "The Saint and My Older Brother & A Headache Report for Anastasius"sv, true },
{ volume::P5V1, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Hirschur’s Meeting with the Aub"sv, true },
{ volume::P5V1, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Researching Rituals and an Update on the Purge"sv, true },
{ volume::P5V1, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Finishing the Archduke Candidate Lessons"sv, true },
{ volume::P5V1, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Passing Professor Gundolf’s Classes"sv, true },
{ volume::P5V1, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Gretia’s Circumstances and Gathering Ingredients"sv, true },
{ volume::P5V1, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Professor Fraularm’s Class"sv, true },
{ volume::P5V1, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Hirschur’s Personal Librarian"sv, true },
{ volume::P5V1, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "A Request from Royalty"sv, true },
{ volume::P5V1, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter17_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Tea Party for Bookworms"sv, true },
{ volume::P5V1, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Tea Party with Dunkelfelger"sv, true },
{ volume::P5V1, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter19_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Replies"sv, true },
{ volume::P5V1, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::P5V1, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Fantasy versus Reality"sv, true },

{ volume::P5V1, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P5V1, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P5V1, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P5V1, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P5V1, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P5V1, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/poll1.xhtml"sv, "application/xhtml+xml"sv, "Character Poll"sv, true },
{ volume::P5V1, "Text/poll2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P5V1, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V1, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P5V1, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

    constexpr std::array vol_2 = std::to_array<volume_definition>({
{ volume::P5V2, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P5V2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P5V2, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P5V2, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V2, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P5V2, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P5V2, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P5V2, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P5V2, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Someone Worthy of Caution"sv, true },
{ volume::P5V2, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The Royal Family and the Library"sv, true },
{ volume::P5V2, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter1_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Dunkelfelger’s Ritual"sv, true },
{ volume::P5V2, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Talking and Tallying"sv, true },
{ volume::P5V2, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Frustrating Tea Parties"sv, true },
{ volume::P5V2, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Doing a Little Scheming"sv, true },
{ volume::P5V2, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Ritual"sv, true },
{ volume::P5V2, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "The Royal Academy’s Dedication Ritual"sv, true },
{ volume::P5V2, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "The Saint’s Ritual"sv, true },
{ volume::P5V2, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Using the Rest of the Mana"sv, true },
{ volume::P5V2, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Headache-Inducing Reports (Third Year)"sv, true },
{ volume::P5V2, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Tea Parties and Negotiations"sv, true },
{ volume::P5V2, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Confrontation"sv, true },
{ volume::P5V2, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Preparing for Ditter"sv, true },
{ volume::P5V2, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Bride-Taking Ditter"sv, true },
{ volume::P5V2, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Intruders"sv, true },
{ volume::P5V2, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P5V2, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P5V2, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P5V2, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P5V2, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P5V2, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P5V2, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V2, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P5V2, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

constexpr std::array vol_3 = std::to_array<volume_definition>({
{ volume::P5V3, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P5V3, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P5V3, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P5V3, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P5V3, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P5V3, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P5V3, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P5V3, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P5V3, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Awakening and Reports"sv, true },
{ volume::P5V3, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Interduchy Tournament"sv, true },
{ volume::P5V3, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Raimund’s Research and Hirschur’s Warning"sv, true },
{ volume::P5V3, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "The Interduchy Tournament (Third Year)"sv, true },
{ volume::P5V3, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Socializing with Dunkelfelger"sv, true },
{ volume::P5V3, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Socializing with Ahrensbach"sv, true },

{ volume::P5V3, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Resolve at the Interduchy Tournament"sv, true },

{ volume::P5V3, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Socializing with Royalty"sv, true },
{ volume::P5V3, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Socializing with Other Duchies"sv, true },

{ volume::P5V3, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "My Daughter’s Perspective and Resolve"sv, true },

{ volume::P5V3, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Socializing with Frenbeltag"sv, true },
{ volume::P5V3, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Ditter and Dunkelfelger’s Demonstration"sv, true },
{ volume::P5V3, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "My First Awards Ceremony"sv, true },
{ volume::P5V3, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Dinner with Ferdinand"sv, true },
{ volume::P5V3, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Farewells and the Coming-of-Age Ceremony"sv, true },
{ volume::P5V3, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter13_2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Detlinde’s Dedication Whirl"sv, true },
{ volume::P5V3, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "A Discussion with Eglantine"sv, true },
{ volume::P5V3, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Lending Books and a Place for One’s Heart"sv, true },

{ volume::P5V3, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Suspicions and Gewinnen"sv, true },

{ volume::P5V3, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P5V3, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/chapter17_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P5V3, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P5V3, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P5V3, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P5V3, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P5V3, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P5V3, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P5V3, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
    });

constexpr std::array vol_4 = std::to_array<volume_definition>({
{ volume::P5V4, /* NCX */ "toc.ncx", "application/x-dtbncx+xml", std::nullopt, false },
{ volume::P5V4, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/jnovelclubCMYK.png", "image/png", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Map2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Map.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Manga2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Manga1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert10.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert9.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert8.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert7.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert6.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert5.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert4.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Insert1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/FrontMatter2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/FrontMatter1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Cover.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Characters3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Characters2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Characters1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Bonus2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* IMAGE */ "Images/Bonus1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V4, /* COVER */ "Text/cover.xhtml", "application/xhtml+xml", "Cover", true },
{ volume::P5V4, /* FRONTMATTER */ "Text/frontmatter1.xhtml", "application/xhtml+xml", "Color Illustrations", true },
{ volume::P5V4, /* FRONTMATTER */ "Text/frontmatter2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHARACTERS */ "Text/characters1.xhtml", "application/xhtml+xml", "Characters", true },
{ volume::P5V4, /* CHARACTERS */ "Text/characters2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHARACTERS */ "Text/characters3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* TOC */ "Text/toc.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/prologue.xhtml", "application/xhtml+xml", "Prologue", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/prologue_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter1.xhtml", "application/xhtml+xml", "Returning Home and Everyone’s Situation", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter2.xhtml", "application/xhtml+xml", "Lamprecht and Nikolaus", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter3.xhtml", "application/xhtml+xml", "Archducal Family Meeting", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter3_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter4.xhtml", "application/xhtml+xml", "Melchior and Preparing for the Temple", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter4_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter5.xhtml", "application/xhtml+xml", "The Will of the Leisegangs", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter6.xhtml", "application/xhtml+xml", "Speaking with the Aub", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter7.xhtml", "application/xhtml+xml", "Brunhilde’s Suggestion", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert4.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter7_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter8.xhtml", "application/xhtml+xml", "Changing Surroundings and the Feast Celebrating Spring", true },

{ volume::P5V4, /* CHAPTER */ "Text/chapter18.xhtml", "application/xhtml+xml", "Reflection and Envy", true },

{ volume::P5V4, /* CHAPTER */ "Text/chapter9.xhtml", "application/xhtml+xml", "Touring the Temple", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert5.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter9_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter10.xhtml", "application/xhtml+xml", "Preparing the Ritual", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert6.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter10_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter11.xhtml", "application/xhtml+xml", "Reobtaining Divine Protections", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter12.xhtml", "application/xhtml+xml", "Clarissa’s Invasion", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert7.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter12_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter13.xhtml", "application/xhtml+xml", "She Arrived Immediately", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert8.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter13_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V4, /* CHAPTER */ "Text/chapter19.xhtml", "application/xhtml+xml", "Defense of the West Gate", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert10.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter19_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V4, /* CHAPTER */ "Text/chapter14.xhtml", "application/xhtml+xml", "Melchior and Spring Prayer", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter15.xhtml", "application/xhtml+xml", "The Disciples of the Gutenbergs", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter16.xhtml", "application/xhtml+xml", "Kirnberger’s Country Gate", true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter17.xhtml", "application/xhtml+xml", "Epilogue", true },
{ volume::P5V4, /* CHAPTER */ "Text/insert9.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* CHAPTER */ "Text/chapter17_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* MAP_EHRENFEST_DUCHY */ "Text/map.xhtml", "application/xhtml+xml", "Map of Ehrenfest Duchy", true },
{ volume::P5V4, /* MAP_YURGENSCHMIDT */ "Text/map2.xhtml", "application/xhtml+xml", "Map of Yurgenschmidt", true },
{ volume::P5V4, /* AFTERWORD */ "Text/afterword.xhtml", "application/xhtml+xml", "Afterword", true },
{ volume::P5V4, /* MANGA */ "Text/manga1.xhtml", "application/xhtml+xml", "A Comfy Life with My Family by You Shiina", true },
{ volume::P5V4, /* MANGA */ "Text/manga2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* BONUS */ "Text/bonus1.xhtml", "application/xhtml+xml", "Bonus High Resolution Illustrations", true },
{ volume::P5V4, /* BONUS */ "Text/bonus2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V4, /* SIGNUP */ "Text/signup.xhtml", "application/xhtml+xml", "About J-Novel Club", true },
{ volume::P5V4, /* COPYRIGHT */ "Text/copyright.xhtml", "application/xhtml+xml", "Copyright", true },
    });

    constexpr std::array vol_5 = std::to_array<volume_definition>({
{ volume::P5V5, /* NCX */ "toc.ncx", "application/x-dtbncx+xml", std::nullopt, false },
{ volume::P5V5, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/jnovelclubCMYK.png", "image/png", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Map2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Map.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Manga2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Manga1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert10.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert9.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert8.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert7.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert6.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert5.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert4.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Insert1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/FrontMatter2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/FrontMatter1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Cover.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Characters3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Characters2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Characters1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Bonus2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* IMAGE */ "Images/Bonus1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V5, /* COVER */ "Text/cover.xhtml", "application/xhtml+xml", "Cover", true },
{ volume::P5V5, /* FRONTMATTER */ "Text/frontmatter1.xhtml", "application/xhtml+xml", "Color Illustrations", true },
{ volume::P5V5, /* FRONTMATTER */ "Text/frontmatter2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHARACTERS */ "Text/characters1.xhtml", "application/xhtml+xml", "Characters", true },
{ volume::P5V5, /* CHARACTERS */ "Text/characters2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHARACTERS */ "Text/characters3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* TOC */ "Text/toc.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/prologue.xhtml", "application/xhtml+xml", "Prologue", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/prologue_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter1.xhtml", "application/xhtml+xml", "Apprentice Blues and the Orphanage Children", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter2.xhtml", "application/xhtml+xml", "Divine Protections All Around", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter3.xhtml", "application/xhtml+xml", "The Archduke Conference’s Starbinding", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter3_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter4.xhtml", "application/xhtml+xml", "Work in the Underground Archive", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter5.xhtml", "application/xhtml+xml", "Zent Candidates", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter5_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter6.xhtml", "application/xhtml+xml", "The Locations of the Shrines", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert4.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter6_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter7.xhtml", "application/xhtml+xml", "Consultation", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter8.xhtml", "application/xhtml+xml", "Circling the Shrines", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert5.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter8_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter9.xhtml", "application/xhtml+xml", "Deeper into the Underground Archive", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert6.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter9_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter10.xhtml", "application/xhtml+xml", "Letters and a Discussion", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert7.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter10_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter11.xhtml", "application/xhtml+xml", "The Merchant Saint", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert8.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter11_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter12.xhtml", "application/xhtml+xml", "Conditions for Being Adopted", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter13.xhtml", "application/xhtml+xml", "Secured Conditions", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter14.xhtml", "application/xhtml+xml", "The Archduke Conference’s Dedication Ritual", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert9.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter14_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter16.xhtml", "application/xhtml+xml", "An Unwanted Marriage", true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter15.xhtml", "application/xhtml+xml", "Epilogue", true },
{ volume::P5V5, /* CHAPTER */ "Text/insert10.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter15_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* CHAPTER */ "Text/chapter17.xhtml", "application/xhtml+xml", "Schlaftraum’s Flowers", true },
{ volume::P5V5, /* MAP_EHRENFEST_DUCHY */ "Text/map.xhtml", "application/xhtml+xml", "Map of Ehrenfest Duchy", true },
{ volume::P5V5, /* MAP_YURGENSCHMIDT */ "Text/map2.xhtml", "application/xhtml+xml", "Map of Yurgenschmidt", true },
{ volume::P5V5, /* AFTERWORD */ "Text/afterword.xhtml", "application/xhtml+xml", "Afterword", true },
{ volume::P5V5, /* MANGA */ "Text/manga1.xhtml", "application/xhtml+xml", "A Comfy Life with My Family by You Shiina", true },
{ volume::P5V5, /* MANGA */ "Text/manga2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* BONUS */ "Text/bonus1.xhtml", "application/xhtml+xml", "Bonus High Resolution Illustrations", true },
{ volume::P5V5, /* BONUS */ "Text/bonus2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V5, /* SIGNUP */ "Text/signup.xhtml", "application/xhtml+xml", "About J-Novel Club", true },
{ volume::P5V5, /* COPYRIGHT */ "Text/copyright.xhtml", "application/xhtml+xml", "Copyright", true },

        });

    constexpr std::array vol_6 = std::to_array<volume_definition>({
{ volume::P5V6, /* NCX */ "toc.ncx", "application/x-dtbncx+xml", std::nullopt, false },
{ volume::P5V6, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/jnovelclubCMYK.png", "image/png", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Bonus1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Bonus2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Characters1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Characters2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Characters3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Cover.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/FrontMatter1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/FrontMatter2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert4.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert5.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert6.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert7.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert8.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert9.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Insert10.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Manga1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Manga2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Map.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* IMAGE */ "Images/Map2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V6, /* COVER */ "Text/cover.xhtml", "application/xhtml+xml", "Cover", true },
{ volume::P5V6, /* FRONTMATTER */ "Text/frontmatter1.xhtml", "application/xhtml+xml", "Color Illustrations", true },
{ volume::P5V6, /* FRONTMATTER */ "Text/frontmatter2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHARACTERS */ "Text/characters1.xhtml", "application/xhtml+xml", "Characters", true },
{ volume::P5V6, /* CHARACTERS */ "Text/characters2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHARACTERS */ "Text/characters3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* TOC */ "Text/toc.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/prologue.xhtml", "application/xhtml+xml", "Prologue", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter1.xhtml", "application/xhtml+xml", "Report on the Archduke Conference (Third Year)", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter2.xhtml", "application/xhtml+xml", "The Canceled Engagement and a Choice for the Future", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter2_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter3.xhtml", "application/xhtml+xml", "My Retainers’ Choices", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter4.xhtml", "application/xhtml+xml", "At Karstedt’s Estate", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter4_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter5.xhtml", "application/xhtml+xml", "Mother and Daughter", true },

{ volume::P5V6, /* CHAPTER */ "Text/chapter19.xhtml", "application/xhtml+xml", "My Hopes and Their Problems", true },

{ volume::P5V6, /* CHAPTER */ "Text/chapter6.xhtml", "application/xhtml+xml", "Magic Tools for Children", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter6_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V6, /* CHAPTER */ "Text/chapter18.xhtml", "application/xhtml+xml", "The Lanzenave Envoys", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert10.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V6, /* CHAPTER */ "Text/chapter7.xhtml", "application/xhtml+xml", "Preparing Fey Paper", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert4.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter7_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter8.xhtml", "application/xhtml+xml", "Making Maximal-Quality Samples", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter9.xhtml", "application/xhtml+xml", "The Spring Coming-of-Age Ceremony and Sylvester’s Departure", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter10.xhtml", "application/xhtml+xml", "Kids’ Tea Party", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert5.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter10_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter11.xhtml", "application/xhtml+xml", "The Leisegang Elders", true },

{ volume::P5V6, /* CHAPTER */ "Text/chapter20.xhtml", "application/xhtml+xml", "Inquiry into the Commotion", true },

{ volume::P5V6, /* CHAPTER */ "Text/chapter12.xhtml", "application/xhtml+xml", "Sylvester Returns", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter13.xhtml", "application/xhtml+xml", "Letters from Ferdinand", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert6.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter13_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter14.xhtml", "application/xhtml+xml", "The Trombe Hunt and the Starbind Ceremony", true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter15.xhtml", "application/xhtml+xml", "Tuuli’s Coming-of-Age Ceremony", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert7.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter15_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter16.xhtml", "application/xhtml+xml", "Interviews with the Aub", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert8.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter16_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/chapter17.xhtml", "application/xhtml+xml", "The Harvest Festival and the Gutenbergs’ Choices", true },
{ volume::P5V6, /* CHAPTER */ "Text/epilogue.xhtml", "application/xhtml+xml", "Epilogue", true },
{ volume::P5V6, /* CHAPTER */ "Text/insert9.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* CHAPTER */ "Text/epilogue_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* AFTERWORD */ "Text/afterword.xhtml", "application/xhtml+xml", "Afterword", true },
{ volume::P5V6, /* MAP_EHRENFEST_DUCHY */ "Text/map.xhtml", "application/xhtml+xml", "Map of Ehrenfest Duchy", true },
{ volume::P5V6, /* MAP_YURGENSCHMIDT */ "Text/map2.xhtml", "application/xhtml+xml", "Map of Yurgenschmidt", true },
{ volume::P5V6, /* MANGA */ "Text/manga1.xhtml", "application/xhtml+xml", "A Comfy Life with My Family by You Shiina", true },
{ volume::P5V6, /* MANGA */ "Text/manga2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* BONUS */ "Text/bonus1.xhtml", "application/xhtml+xml", "Bonus High Resolution Illustrations", true },
{ volume::P5V6, /* BONUS */ "Text/bonus2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V6, /* SIGNUP */ "Text/signup.xhtml", "application/xhtml+xml", "About J-Novel Club", true },
{ volume::P5V6, /* COPYRIGHT */ "Text/copyright.xhtml", "application/xhtml+xml", "Copyright", true },
    });

    constexpr std::array vol_7 = std::to_array<volume_definition>({
       { volume::P5V7, /* NCX */ "toc.ncx", "application/x-dtbncx+xml", std::nullopt, false },
{ volume::P5V7, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/jnovelclubCMYK.png", "image/png", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Map2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Map.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Manga2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Manga1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert10.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert9.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert8.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert7.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert6.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert5.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert4.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Insert1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/FrontMatter2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/FrontMatter1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Cover.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Characters3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Characters2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Characters1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Bonus2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* IMAGE */ "Images/Bonus1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V7, /* COVER */ "Text/cover.xhtml", "application/xhtml+xml", "Cover", true },
{ volume::P5V7, /* FRONTMATTER */ "Text/frontmatter1.xhtml", "application/xhtml+xml", "Color Illustrations", true },
{ volume::P5V7, /* FRONTMATTER */ "Text/frontmatter2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHARACTERS */ "Text/characters1.xhtml", "application/xhtml+xml", "Characters", true },
{ volume::P5V7, /* CHARACTERS */ "Text/characters2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHARACTERS */ "Text/characters3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* TOC */ "Text/toc.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/prologue.xhtml", "application/xhtml+xml", "Prologue", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter1.xhtml", "application/xhtml+xml", "Dirk’s and Bertram’s Baptisms", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter1_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter2.xhtml", "application/xhtml+xml", "The Winter Playroom and Another New Term", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter3.xhtml", "application/xhtml+xml", "The Fellowship Gatherings (Fourth Year)", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter3_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter4.xhtml", "application/xhtml+xml", "The First Week of Classes", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter4_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter5.xhtml", "application/xhtml+xml", "The Royal Academy’s Dedication Rituals", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter6.xhtml", "application/xhtml+xml", "Meeting Gramps", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert4.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter6_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter7.xhtml", "application/xhtml+xml", "The Book of Mestionora", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter8.xhtml", "application/xhtml+xml", "I’m Back", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert5.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter8_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V7, /* CHAPTER */ "Text/chapter19.xhtml", "application/xhtml+xml", "Rozemyne’s Disappearance and Return", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert10.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter19_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V7, /* CHAPTER */ "Text/chapter20.xhtml", "application/xhtml+xml", "The Royal Academy without My Sister", true },

{ volume::P5V7, /* CHAPTER */ "Text/chapter9.xhtml", "application/xhtml+xml", "The Foundational Magic", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter10.xhtml", "application/xhtml+xml", "The Bible’s Key", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter11.xhtml", "application/xhtml+xml", "Anxiety and the Measuring", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert6.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter11_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter12.xhtml", "application/xhtml+xml", "How to Protect Them", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter13.xhtml", "application/xhtml+xml", "Preparing for War", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter14.xhtml", "application/xhtml+xml", "Kamil’s Baptism", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert7.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter14_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter15.xhtml", "application/xhtml+xml", "Defense Meeting", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter16.xhtml", "application/xhtml+xml", "Danger Beheld", true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter17.xhtml", "application/xhtml+xml", "Temptation", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert8.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/chapter17_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V7, /* CHAPTER */ "Text/chapter18.xhtml", "application/xhtml+xml", "Faster than Steifebrise", true },

{ volume::P5V7, /* CHAPTER */ "Text/epilogue.xhtml", "application/xhtml+xml", "Epilogue", true },
{ volume::P5V7, /* CHAPTER */ "Text/insert9.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* CHAPTER */ "Text/epilogue_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V7, /* CHAPTER */ "Text/chapter21.xhtml", "application/xhtml+xml", "Their Hopes and Dreams", true },

{ volume::P5V7, /* AFTERWORD */ "Text/afterword.xhtml", "application/xhtml+xml", "Afterword", true },
{ volume::P5V7, /* MAP_EHRENFEST_DUCHY */ "Text/map.xhtml", "application/xhtml+xml", "Map of Ehrenfest Duchy", true },
{ volume::P5V7, /* MAP_YURGENSCHMIDT */ "Text/map2.xhtml", "application/xhtml+xml", "Map of Yurgenschmidt", true },
{ volume::P5V7, /* MANGA */ "Text/manga1.xhtml", "application/xhtml+xml", "A Comfy Life with My Family by You Shiina", true },
{ volume::P5V7, /* MANGA */ "Text/manga2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* BONUS */ "Text/bonus1.xhtml", "application/xhtml+xml", "Bonus High Resolution Illustrations", true },
{ volume::P5V7, /* BONUS */ "Text/bonus2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V7, /* SIGNUP */ "Text/signup.xhtml", "application/xhtml+xml", "About J-Novel Club", true },
{ volume::P5V7, /* COPYRIGHT */ "Text/copyright.xhtml", "application/xhtml+xml", "Copyright", true },
        });

    constexpr std::array vol_8 = std::to_array<volume_definition>({
{ volume::P5V8, /* NCX */ "toc.ncx", "application/x-dtbncx+xml", std::nullopt, false },
{ volume::P5V8, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/jnovelclubCMYK.png", "image/png", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Bonus1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Bonus2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Characters1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Characters2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Characters3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Cover.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/FrontMatter1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/FrontMatter2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert3.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert4.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert5.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert6.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert7.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert8.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert9.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Insert10.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Manga1.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Manga2.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* IMAGE */ "Images/Map.jpg", "image/jpeg", std::nullopt, false },
{ volume::P5V8, /* COVER */ "Text/cover.xhtml", "application/xhtml+xml", "Cover", true },
{ volume::P5V8, /* FRONTMATTER */ "Text/frontmatter1.xhtml", "application/xhtml+xml", "Color Illustrations", true },
{ volume::P5V8, /* FRONTMATTER */ "Text/frontmatter2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHARACTERS */ "Text/characters1.xhtml", "application/xhtml+xml", "Characters", true },
{ volume::P5V8, /* CHARACTERS */ "Text/characters2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHARACTERS */ "Text/characters3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* TOC */ "Text/toc.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/prologue.xhtml", "application/xhtml+xml", "Prologue", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/prologue_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter1.xhtml", "application/xhtml+xml", "Uniting", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter2.xhtml", "application/xhtml+xml", "Their Information and Name Stones", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter3.xhtml", "application/xhtml+xml", "Teleporting", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter4.xhtml", "application/xhtml+xml", "To Battle", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter4_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter5.xhtml", "application/xhtml+xml", "Ahrensbach’s Temple", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter6.xhtml", "application/xhtml+xml", "Ahrensbach’s Foundation and Replenishment Hall", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter7.xhtml", "application/xhtml+xml", "Rescue", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter7_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter8.xhtml", "application/xhtml+xml", "My Geduldh", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter9.xhtml", "application/xhtml+xml", "The Zent and the Grutrissheit", true },

{ volume::P5V8, /* CHAPTER */ "Text/side2.xhtml", "application/xhtml+xml", "Follow Your Heart", true },

{ volume::P5V8, /* CHAPTER */ "Text/chapter10.xhtml", "application/xhtml+xml", "The New Aub", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter11.xhtml", "application/xhtml+xml", "The Aub’s Protection", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert4.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter12.xhtml", "application/xhtml+xml", "Lanzenave’s Ships", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter13.xhtml", "application/xhtml+xml", "Summoning Winter", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert5.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter13_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter14.xhtml", "application/xhtml+xml", "Choices", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter15.xhtml", "application/xhtml+xml", "Playground", true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter16.xhtml", "application/xhtml+xml", "Rumors and a Departure", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert6.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter16_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter17.xhtml", "application/xhtml+xml", "Bindewald", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert7.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter17_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/chapter18.xhtml", "application/xhtml+xml", "Black Weapons and Chalices", true },

{ volume::P5V8, /* CHAPTER */ "Text/side1.xhtml", "application/xhtml+xml", "The Defense of Ehrenfest (First Half)", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert9.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/side1_1.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/insert10.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/side1_2.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V8, /* CHAPTER */ "Text/epilogue.xhtml", "application/xhtml+xml", "Epilogue", true },
{ volume::P5V8, /* CHAPTER */ "Text/insert8.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* CHAPTER */ "Text/epilogue_1.xhtml", "application/xhtml+xml", std::nullopt, true },

{ volume::P5V8, /* AFTERWORD */ "Text/afterword.xhtml", "application/xhtml+xml", "Afterword", true },
{ volume::P5V8, /* MAP_EHRENFEST_DUCHY */ "Text/map.xhtml", "application/xhtml+xml", "Map of Ehrenfest Duchy", true },
{ volume::P5V8, /* MANGA */ "Text/manga1.xhtml", "application/xhtml+xml", "A Comfy Life with My Family by You Shiina", true },
{ volume::P5V8, /* MANGA */ "Text/manga2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* BONUS */ "Text/bonus1.xhtml", "application/xhtml+xml", "Bonus High Resolution Illustrations", true },
{ volume::P5V8, /* BONUS */ "Text/bonus2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::P5V8, /* SIGNUP */ "Text/signup.xhtml", "application/xhtml+xml", "About J-Novel Club", true },
{ volume::P5V8, /* COPYRIGHT */ "Text/copyright.xhtml", "application/xhtml+xml", "Copyright", true },
        });

    constexpr definition_span_view_t vol_1_def { std::span<const volume_definition, std::dynamic_extent>(vol_1), volume::P5V1 };
    constexpr definition_span_view_t vol_2_def { std::span<const volume_definition, std::dynamic_extent>(vol_2), volume::P5V2 };
    constexpr definition_span_view_t vol_3_def { std::span<const volume_definition, std::dynamic_extent>(vol_3), volume::P5V3 };
    constexpr definition_span_view_t vol_4_def { std::span<const volume_definition, std::dynamic_extent>(vol_4), volume::P5V4 };
    constexpr definition_span_view_t vol_5_def { std::span<const volume_definition, std::dynamic_extent>(vol_5), volume::P5V5 };
    constexpr definition_span_view_t vol_6_def { std::span<const volume_definition, std::dynamic_extent>(vol_6), volume::P5V6 };
    constexpr definition_span_view_t vol_7_def { std::span<const volume_definition, std::dynamic_extent>(vol_7), volume::P5V7 };
    constexpr definition_span_view_t vol_8_def { std::span<const volume_definition, std::dynamic_extent>(vol_8), volume::P5V8 };

    constexpr std::array part_5_arr { std::to_array<definition_span_view_t>({
                vol_1_def, vol_2_def, vol_3_def, vol_4_def, vol_5_def, vol_6_def, vol_7_def, vol_8_def,
            }) };

    constexpr definition_view_t part_5_def { std::span<const definition_span_view_t, std::dynamic_extent>(part_5_arr), omnibus::PART5 };
}
